Bug 1099752 - Qt creator has no debug layout anymore ( qtcreator )
Qt creator has no debug layout anymore ( qtcreator )
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Development
Current
x86-64 Other
: P5 - None : Major (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-30 05:30 UTC by Bernhard Dr. Friedrichs
Modified: 2018-07-05 08:28 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
qt creator with no debug layout anymore (87.89 KB, image/png)
2018-06-30 05:30 UTC, Bernhard Dr. Friedrichs
Details
expected layout (124.82 KB, image/png)
2018-06-30 05:31 UTC, Bernhard Dr. Friedrichs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Dr. Friedrichs 2018-06-30 05:30:47 UTC
Created attachment 775789 [details]
qt creator with no debug layout anymore

When starting debugging with Qt creator the debugging layout is lost
(this came with tumbelweed 25 June 2018, Qt creator 4.6.1)
THAT IS HELL ON EARTH!
Even when manually set Window->Views->Reset to default Layout the "debugger bar" below the source code does not appear anymore.
Hint: when deleting .config/QtProject, start Qt (and forced to configure) it works ONCE (layout appears). Close Qt creator. Start again - debugging layout is lost.
I have installed manually older versions down to 4.5.2 - same behavior!!
(no problems on opensuse 15) So it must(?) be related to tumbleweed specific ... but what?
Comment 1 Bernhard Dr. Friedrichs 2018-06-30 05:31:59 UTC
Created attachment 775790 [details]
expected layout
Comment 2 Mykola Krachkovsky 2018-07-01 10:58:19 UTC
Almost same here. After removing/renaming of ~/.config/QtProject/QtCreator.ini it's back but after a while it hides again.
Comment 3 Wolfgang Bauer 2018-07-02 12:49:43 UTC
This is basically the same as bug#1099589, it's a regression in Qt 5.11.1.

Should be fixed in the next Tumbleweed snapshot, the offending change has been reverted:
https://api.opensuse.org/request/show/619726

To avoid the problem, just use the "Quit" option in the menu (or the keyboard shortcut) instead of closing the window to quit Qt creator.

(In reply to Mykola Krachkovsky from comment #2)
> Almost same here. After removing/renaming of
> ~/.config/QtProject/QtCreator.ini it's back but after a while it hides again.

You actually don't have to delete the config file to get them back.
You can also just re-enable the corresponding views in the menu Window->Views.
Comment 4 Bernhard Dr. Friedrichs 2018-07-05 08:28:26 UTC
It works now after the update

Hence that the debug-bar did not came back automatically - also not by manually restoring the "default view".

I made a backup of ./config/QtProject
delete

let qtcreator make a new one

changed Settings\EnvironmentId=@ByteArray in QtCreator ini
and
in profiles.xml

<value type="QString" key="PE.Profile.Id"> ..
<variable>Profile.Default</variable>
  <value type="QString">  ..

That at least let you continue to work and spend not too mich time with restoring profile setting 20 to 30 times ... depending of how many projects you have